Bug 18508 - Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137)
Summary: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lari Taskula
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on: 6758
Blocks: 19119
  Show dependency treegraph
 
Reported: 2017-04-28 12:36 UTC by Lari Taskula
Modified: 2017-10-27 11:47 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137) (1.24 KB, patch)
2017-04-28 12:39 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 18508: Add overdrive_auth_token to patron.json definition (918 bytes, patch)
2017-04-28 12:39 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137) (1.29 KB, patch)
2017-04-29 04:47 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18508: Add overdrive_auth_token to patron.json definition (971 bytes, patch)
2017-04-29 04:47 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137) (1.35 KB, patch)
2017-08-09 12:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 6758) (1.01 KB, patch)
2017-09-20 12:16 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137) (1.43 KB, patch)
2017-09-20 19:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 6758) (1.09 KB, patch)
2017-09-20 19:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Taskula 2017-04-28 12:36:48 UTC
t/db_dependent/api/v1/swagger/definitions.t .. Can't locate object method "cache_dir" via package "Swagger2::SchemaValidator" at /usr/share/perl5/Swagger2.pm line 42.
Comment 1 Lari Taskula 2017-04-28 12:39:25 UTC
Created attachment 62817 [details] [review]
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137)
Comment 2 Lari Taskula 2017-04-28 12:39:38 UTC
Created attachment 62818 [details] [review]
Bug 18508: Add overdrive_auth_token to patron.json definition

To test:
1. prove t/db_dependent/api/v1/swagger/definitions.t
Comment 3 M. Tompsett 2017-04-29 02:35:52 UTC
This is not testable without having various other libraries (mojolicious, etc. etc.) installed. Unable to test with old school git install Debian 8.
Comment 4 M. Tompsett 2017-04-29 04:40:49 UTC
Fought my way through the installing, applied 18137, and then this. Before application, failure. After application, success.
Comment 5 M. Tompsett 2017-04-29 04:47:21 UTC
Created attachment 62894 [details] [review]
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 6 M. Tompsett 2017-04-29 04:47:28 UTC
Created attachment 62895 [details] [review]
Bug 18508: Add overdrive_auth_token to patron.json definition

To test:
1. prove t/db_dependent/api/v1/swagger/definitions.t

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 7 Lari Taskula 2017-04-29 12:42:07 UTC
(In reply to M. Tompsett from comment #4)
> Fought my way through the installing, applied 18137, and then this. Before
> application, failure. After application, success.

Thanks Mark!
Comment 8 M. Tompsett 2017-06-14 04:26:57 UTC
(In reply to Lari Taskula from comment #0)
> t/db_dependent/api/v1/swagger/definitions.t .. Can't locate object method
> "cache_dir" via package "Swagger2::SchemaValidator" at
> /usr/share/perl5/Swagger2.pm line 42.

For the record, I was able to also solve this by upgrading Swagger2 (cpan2deb'ing it). However, this patch is the recommended way according to the noise it generates when you only apply 18763, if I recall correctly.

For what it's worth, I git bz'd 18508 and then 18763. I had to tweak the git bz, but basically both combined fix noise and test failures.
Comment 9 M. Tompsett 2017-06-15 16:30:13 UTC
Comment on attachment 62895 [details] [review]
Bug 18508: Add overdrive_auth_token to patron.json definition

Bug 18763 fix this already.
Comment 10 M. Tompsett 2017-06-15 19:15:57 UTC
Comment on attachment 62894 [details] [review]
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137)

Review of attachment 62894 [details] [review]:
-----------------------------------------------------------------

::: t/db_dependent/api/v1/swagger/definitions.t
@@ +23,4 @@
>  use Test::Mojo;
>  
>  use Module::Load::Conditional;
> +use JSON::Validator::OpenAPI;

This only seems to be in Stretch.
Comment 11 Tomás Cohen Arazi 2017-08-09 12:10:21 UTC
Created attachment 65706 [details] [review]
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 12 Tomás Cohen Arazi 2017-09-20 12:16:31 UTC
Created attachment 67232 [details] [review]
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 6758)

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 13 Jonathan Druart 2017-09-20 19:09:44 UTC
Created attachment 67265 [details] [review]
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 18137)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 14 Jonathan Druart 2017-09-20 19:09:49 UTC
Created attachment 67266 [details] [review]
Bug 18508: Fix t/db_dependent/api/v1/swagger/definitions.t (follow-up of 6758)

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2017-09-20 19:12:19 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 16 Fridolin SOMERS 2017-10-27 11:47:36 UTC
Enhancement not pushed to 17.05.x